
.msapi_dropZone {
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    border-radius: 5px;
    border: 1px solid #0099CC;
    background-color: #FFFFFF;
    position: relative;
    /* width: 400px; */
    /* height: 200px; */

    /*position*/
    margin:0 auto;  /* center */
    /*float: left;*/ /* left */
    /*float: right;*//* right */
}

.msapi_dropZoneHeader {
    font-weight:bold;
    font-family:"sans-serif",Times New Roman,Georgia,Serif;
    font-style:normal;
    font-size:14px;
    color:#0099CC;
    width: 100%;
    height: 20px;
    text-align: center;
}

.msapi_dropZoneHeader:after {
    content: "Drop your files here";
}

.msapi_file_list_container {
    font-family:"sans-serif",Times New Roman,Georgia,Serif;
    font-style:normal;
    font-size:14px;
    font-weight:normal;
    color:#333333;
    text-decoration: none;
    overflow:auto;
    text-align: left;
}

.msapi_file_list_container [item="clearFile"] {
    background: url('images/clearFile.png') no-repeat left center;
    padding-left: 30px;
    margin-top: 7px;
}

.msapi_files {
    margin-top: 15px;
    margin-left: 15px;
    vertical-align: middle;
    cursor: pointer;
}

.msapi_files [item="list"]:hover {
    background-color: #66CCFF;
    color:#FFFFFF;
}

.msapi_files div.selected {
    background-color: #66CCFF;
    color:#FFFFFF;
}

.msapi_files [imgtype="Video"]{
    background: url('images/video-file-grey.png') no-repeat left center;
    padding-left: 30px;
}

.msapi_files [imgtype="Audio"]{
    background: url('images/audio-file-grey.png') no-repeat left center;
    padding-left: 30px;
}

.msapi_files [imgtype="Image"]{
    background: url('images/image-file-grey.png') no-repeat left center;
    padding-left: 30px;
}

.msapi_files [imgtype="Archive"]{
    background: url('images/archive-file-grey.png') no-repeat left center;
    padding-left: 30px;
}

.msapi_files [imgtype="Disc"]{
    background: url('images/disc-file-grey.png') no-repeat left center;
    padding-left: 30px;
}

.msapi_files [imgtype="Folder"]{
    background: url('images/dir-file-grey.png') no-repeat left center;
    padding-left: 30px;
}

.msapi_files [imgtype="File"]{
    background: url('images/other-file-grey.png') no-repeat left center;
    padding-left: 30px;
}

.msapi_selectFiles {
    line-height: 25px;
    width: 20px;
    height: 60px;
    cursor: pointer;

    /*Bottom Right*/
    position:absolute;
    background: url('images/add-files_gray.png') no-repeat center left;
    bottom: 0;
    right: 20px;

    /*Top Right*/
    /*position:absolute;*/
    /*background-position: center left;*/
    /*top: 0;*/
    /*right: 0;*/
}

.msapi-dragndrop-overlay {
    width: 100%;
    height: 100%;
    z-index: 1000;
    position: fixed;
    top: 0;
    left: 0;

    -webkit-animation: fade-in 0.3s;
    -moz-animation: fade-in 0.3s;
    animation: fade-in 0.3s;
}

.msapi-dragndrop-transparent {
    z-index: 1001;
    background-color: rgba(0, 0, 0, 0);
}

.msapi-dragndrop-instructions {
    text-align: initial;
    background-color: rgba(255, 255, 255, 0.95);
    line-height: 1.42857;
    font-family: "Helvetica Neue",Helvetica,Arial,sans-serif;
    display: -webkit-box;
    display: -moz-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;

    -webkit-box-pack: center;
    -moz-box-pack: center;
    -webkit-justify-content: center;

    -webkit-box-align: center;
    -moz-box-align: center;

    -ms-flex-align: center;
    -webkit-align-items: center;
    align-items: center;
}

.msapi-dragndrop-overlay.msapi-hidden {
    display: none;
}

.msapi-dragndrop-corner {
    position: absolute;
    right: 30px;
    top: 20px;
    cursor: pointer;
    font-weight: bolder;
    font-size: larger;
}

.msapi-dragndrop-overlay-content {
    margin: auto;
}

.msapi-dragndrop-drag-to-app-windows, .msapi-dragndrop-drag-to-app-osx {
    width: 109px;
    height: 202px;
    display: inline-block;
    vertical-align: middle;
    margin-left: 20px;
}

.msapi-dragndrop-drag-to-app-osx {
    background: url('images/drag-to-app-mac.svg') no-repeat;
}

.msapi-dragndrop-drag-to-app-windows {
    background: url('images/drag-to-app-win.svg') no-repeat;
}

.msapi-dragndrop-drag-text {
    font-family: "Helvetica Neue",Helvetica,Arial,sans-serif;
    font-size: 1.25em;
    opacity: 0.8;
    color: #333;
    /*padding-right: 35px;*/
    display: inline-block;
    vertical-align: middle;
    max-width: 50%;
    text-align: center;
}

.msapi-dragndrop-error .msapi-dragndrop-drag-text {
    max-width: 100%;
}

#add-files-text {
    padding-top: 6px;
    padding-left: 8px;
}

@-webkit-keyframes fade-in {
	0% { opacity: 0; }
	100% { opacity: 1; }
}

@-moz-keyframes fade-in {
	0% { opacity: 0; }
	100% { opacity: 1; }
}

@-ms-keyframes fade-in {
	0% { opacity: 0; }
	100% { opacity: 1; }
}

@keyframes fade-in {
	0% { opacity: 0; }
	100% { opacity: 1; }
}
